<template>
  <HelloWorld />
  <br /><br /><br /><br />
  <div class="calculatorA"><CalculatorA /></div>
  <div class="calculatorB"><CalculatorB /></div>
  <div class="history"><History /></div>
</template>

<script>
import HelloWorld from "./components/HelloWorld.vue";
import CalculatorA from "./components/Calculator_A.vue";
import CalculatorB from "./components/Calculator_B.vue";
import History from "./components/History.vue";
// import Calculator from "./components/Calculator.vue";

export default {
  name: "App",
  components: {
    HelloWorld,
    CalculatorA,
    CalculatorB,
    History,
  },
};
</script>

<style>
/* #app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
} */
body {
  background-color: #f2f3f4;
}
.calculatorA {
  /* display: flex; */
  /* justify-content: center; */
  /* align-items: center; */
  /* flex-direction: column; */
  /* background-color: #2196f3; */
  padding: 20px;
  float: left;
  width: 28%;
}
.calculatorB {
  /* background-color: #4caf50; */
  padding: 20px;
  float: left;
  width: 28%;
}
.history {
  /* background-color: #f07e7e; */
  padding: 20px;
  float: left;
  width: 44%;
}
/* Use a media query to add a break point at 800px: */
@media screen and (max-width: 800px) {
  .calculatorA,
  .calculatorB,
  .history {
    width: 100%; /* The width is 100%, when the viewport is 800px or smaller */
  }
}
/* Use a media query to add a break point at 1300px: */
@media screen and (max-width: 1300px) and (min-width: 800px) {
  .calculatorA,
  .calculatorB {
    width: 50%; /* The width is 50%, when the viewport is 1300px or smaller */
  }
  .history {
    width: 100%; /* The width is 100%, when the viewport is 1300px or smaller */
  }
}
</style>
